package cz.cvut.fel.pr1;

/**
 *
 * @author jf
 */
public class ObjectHolderImpl implements ObjectHolder {

    private final Printable[] objects;
    private int size;

    /**
     *
     * @param max
     */
    public ObjectHolderImpl(int max) {
        objects = new Printable[max];
        size = 0;
    }

    @Override
    public ObjectHolder add(Printable object) {
        if (object != null && size < objects.length) {
            objects[size++] = object;
        }
        return this;
    }

    @Override
    public void printToCanvas(Canvas canvas) {
        for (int i = 0; i < size; ++i) {
            objects[i].printToCanvas(canvas);
        }
    }

}
